use "数据.dta"

**描述性统计-表1及附表1
sum default1 default2 call_in_contact call_out_contact call_all_contact education age gender score, detail

gen much_app=0
replace much_app=1 if loan_app>=5

gen abnormity=call_cloud_30/call_cloud_90

replace call_in_contact=call_in_contact/100
replace call_out_contact=call_out_contact/100
replace call_all_contact=call_all_contact/100
winsor2 call_in_contact call_out_contact call_all_contact, replace cuts(1 99)

replace call_in_phone=call_in_phone/100
replace call_cloud_90=call_cloud_90/100
winsor2 call_in_phone call_cloud_90, replace cuts(1 99)

**相关性检验-附表2
pwcorr default1 default2 call_in_contact call_out_contact call_all_contact education age gender score, sig


**基准回归-表2
probit default1 call_in_contact education age gender score i.area i.job i.customer_level
margins, dydx(call_in_contact education age gender score)
probit default1 call_out_contact education age gender score i.area i.job i.customer_level
margins, dydx(call_out_contact education age gender score)
probit default1 call_all_contact education age gender score i.area i.job i.customer_level
margins, dydx(call_all_contact education age gender score)

probit default2 call_in_contact education age gender score i.area i.job i.customer_level
margins, dydx(call_in_contact education age gender score)
probit default2 call_out_contact education age gender score i.area i.job i.customer_level
margins, dydx(call_out_contact education age gender score)
probit default2 call_all_contact education age gender score i.area i.job i.customer_level
margins, dydx(call_all_contact education age gender score)

***机制检验-表3及图2
probit default1 c.call_in_contact##c.message_overdue education age gender score i.area i.job i.customer_level
margins, dydx(call_in_contact) at(message_overdue=(0(1)8))
marginsplot
probit default1 c.call_out_contact##c.message_overdue education age gender score i.area i.job i.customer_level
margins, dydx(call_out_contact) at(message_overdue=(0(1)8))
marginsplot
probit default1 c.call_all_contact##c.message_overdue education age gender score i.area i.job i.customer_level
margins, dydx(call_all_contact) at(message_overdue=(0(1)8))
marginsplot

probit default2 c.call_in_contact##c.message_overdue education age gender score i.area i.job i.customer_level
margins, dydx(call_in_contact) at(message_overdue=(0(1)6))
marginsplot
probit default2 c.call_out_contact##c.message_overdue education age gender score i.area i.job i.customer_level
margins, dydx(call_out_contact) at(message_overdue=(0(1)6))
marginsplot
probit default2 c.call_all_contact##c.message_overdue education age gender score i.area i.job i.customer_level
margins, dydx(call_all_contact) at(message_overdue=(0(1)6))
marginsplot

**机制检验-附表3（分样本）
probit default1 call_in_contact education age gender score i.area i.job i.customer_level  if message_overdue==0
probit default1 call_in_contact education age gender score i.area i.job i.customer_level  if message_overdue>0 
probit default1 call_out_contact education age gender score i.area i.job i.customer_level  if message_overdue==0
probit default1 call_out_contact education age gender score i.area i.job i.customer_level  if message_overdue>0
probit default1 call_all_contact education age gender score i.area i.job i.customer_level  if message_overdue==0
probit default1 call_all_contact education age gender score i.area i.job i.customer_level  if message_overdue>0

probit default2 call_in_contact education age gender score i.area i.job i.customer_level  if message_overdue==0
probit default2 call_in_contact education age gender score i.area i.job i.customer_level  if message_overdue>0
probit default2 call_out_contact education age gender score i.area i.job i.customer_level  if message_overdue==0
probit default2 call_out_contact education age gender score i.area i.job i.customer_level  if message_overdue>0 
probit default2 call_all_contact education age gender score i.area i.job i.customer_level  if message_overdue==0
probit default2 call_all_contact education age gender score i.area i.job i.customer_level  if message_overdue>0

**机制检验-附表4（仅保留逾期文本非0样本）
probit default1 c.call_in_contact##c.message_overdue education age gender score i.area i.job i.customer_level if message_overdue>0
probit default1 c.call_out_contact##c.message_overdue education age gender score i.area i.job i.customer_level if message_overdue>0
probit default1 c.call_all_contact##c.message_overdue education age gender score i.area i.job i.customer_level if message_overdue>0

probit default2 c.call_in_contact##c.message_overdue education age gender score i.area i.job i.customer_level if message_overdue>0
probit default2 c.call_out_contact##c.message_overdue education age gender score i.area i.job i.customer_level if message_overdue>0
probit default2 c.call_all_contact##c.message_overdue education age gender score i.area i.job i.customer_level if message_overdue>0



***稳健性检验（基准回归）-表4
probit default1 call_in_phone education age gender score i.area i.job i.customer_level
margins, dydx(call_in_phone education age gender score)
probit default1 call_cloud_90 education age gender score i.area i.job i.customer_level
margins, dydx(call_90 education age gender score)

probit default2 call_in_phone education age gender score i.area i.job i.customer_level
margins, dydx(call_in_phone education age gender score)
probit default2 call_cloud_90 education age gender score i.area i.job i.customer_level
margins, dydx(call_90 education age gender score)

**稳健性检验（机制检验）-表5及附图1

probit default1 c.call_in_contact##c.much_app education age gender score i.area i.job i.customer_level
margins, dydx(call_in_contact) at(much_app=(0(1)1))
marginsplot
probit default1 c.call_out_contact##c.much_app education age gender score i.area i.job i.customer_level
margins, dydx(call_out_contact) at(much_app=(0(1)1))
marginsplot
probit default1 c.call_all_contact##c.much_app education age gender score i.area i.job i.customer_level
margins, dydx(call_all_contact) at(much_app=(0(1)1))
marginsplot

probit default2 c.call_in_contact##c.much_app education age gender score i.area i.job i.customer_level
margins, dydx(call_in_contact) at(much_app=(0(1)1))
marginsplot
probit default2 c.call_out_contact##c.much_app education age gender score i.area i.job i.customer_level
margins, dydx(call_out_contact) at(much_app=(0(1)1))
marginsplot
probit default2 c.call_all_contact##c.much_app education age gender score i.area i.job i.customer_level
margins, dydx(call_all_contact) at(much_app=(0(1)1))
marginsplot

**稳健性检验（机制检验）-附表5(分样本）
probit default1 call_in_contact education age gender score i.area i.job i.customer_level  if much_app==0
probit default1 call_in_contact education age gender score i.area i.job i.customer_level  if much_app>0 
probit default1 call_out_contact education age gender score i.area i.job i.customer_level  if much_app==0
probit default1 call_out_contact education age gender score i.area i.job i.customer_level  if much_app>0
probit default1 call_all_contact education age gender score i.area i.job i.customer_level  if much_app==0
probit default1 call_all_contact education age gender score i.area i.job i.customer_level  if much_app>0

probit default2 call_in_contact education age gender score i.area i.job i.customer_level  if much_app==0
probit default2 call_in_contact education age gender score i.area i.job i.customer_level  if much_app>0
probit default2 call_out_contact education age gender score i.area i.job i.customer_level  if much_app==0
probit default2 call_out_contact education age gender score i.area i.job i.customer_level  if much_app>0 
probit default2 call_all_contact education age gender score i.area i.job i.customer_level  if much_app==0
probit default2 call_all_contact education age gender score i.area i.job i.customer_level  if much_app>0

**稳健性检验（机制检验）-附表5(仅保留借贷app数量非0样本）
probit default1 c.call_in_contact##c.much_app education age gender score i.area i.job i.customer_level if loan_app>0
probit default1 c.call_out_contact##c.much_app education age gender score i.area i.job i.customer_level if loan_app>0
probit default1 c.call_all_contact##c.much_app education age gender score i.area i.job i.customer_level if loan_app>0

probit default2 c.call_in_contact##c.much_app education age gender score i.area i.job i.customer_level if loan_app>0
probit default2 c.call_out_contact##c.much_app education age gender score i.area i.job i.customer_level if loan_app>0
probit default2 c.call_all_contact##c.much_app education age gender score i.area i.job i.customer_level if loan_app>0



**进一步检验-表7及表8
probit default1 abnormity education age gender score i.area i.job i.customer_level
margins, dydx(abnormity)
probit default2 abnormity education age gender score i.area i.job i.customer_level
margins, dydx(abnormity)

probit default1 call_in_contact abnormity education age gender score i.area i.job i.customer_level
margins, dydx(abnormity)
probit default1 call_out_contact abnormity education age gender score i.area i.job i.customer_level
margins, dydx(abnormity)
probit default1 call_all_contact abnormity education age gender score i.area i.job i.customer_level
margins, dydx(abnormity)

probit default2 call_in_contact abnormity education age gender score i.area i.job i.customer_level
margins, dydx(abnormity)
probit default2 call_out_contact abnormity education age gender score i.area i.job i.customer_level
margins, dydx(abnormity)
probit default2 call_all_contact abnormity education age gender score i.area i.job i.customer_level
margins, dydx(abnormity)

save "使用数据.dta"



**psmatch检验-表6、附表6、附表7及附表8
use "使用数据.dta"
sum call_in_contact call_out_contact call_all_contact, detail
gen treat_in=1 if call_in_contact>=0.42
replace treat_in=0 if treat_in==.
gen treat_out=1 if call_out_contact>=0.45
replace treat_out=0 if treat_out==.
gen treat_all=1 if call_all_contact>=0.87
replace treat_all=0 if treat_all==.
save "使用数据.dta", replace

**呼入次数衡量社会资本
use "使用数据.dta"
psmatch2 treat_in education age gender score i.area i.job i.customer_level, n(1) noreplacement
pstest, both

drop if _weight==.
save "呼入match.dta"

probit treat_in education age gender score i.area i.job i.customer_level

sum _pscore if _treated==1,detail
sum _pscore if _treated==0,detail

probit default1 treat_in
probit default2 treat_in
probit default1 call_in_contact 
probit default2 call_in_contact 

probit default1 c.treat_in##c.message_overdue
probit default2 c.treat_in##c.message_overdue
probit default1 c.call_in_contact##c.message_overdue
probit default2 c.call_in_contact##c.message_overdue

**呼出次数衡量社会资本
use "使用数据.dta"
psmatch2 treat_out education age gender score i.area i.job i.customer_level, n(1) noreplacement
pstest, both

drop if _weight==.
save "呼出match.dta"

probit treat_out education age gender score i.area i.job i.customer_level

sum _pscore if _treated==1,detail
sum _pscore if _treated==0,detail

probit default1 treat_out
probit default2 treat_out
probit default1 call_out_contact
probit default2 call_out_contact

probit default1 c.treat_out##c.message_overdue
probit default2 c.treat_out##c.message_overdue
probit default1 c.call_out_contact##c.message_overdue
probit default2 c.call_out_contact##c.message_overdue

**通话总次数衡量社会资本
use "使用数据.dta"
psmatch2 treat_all education age gender score i.area i.job i.customer_level, n(1) noreplacement
pstest, both

drop if _weight==.
save "总数match.dta"

probit treat_all education age gender score i.area i.job i.customer_level

sum _pscore if _treated==1,detail
sum _pscore if _treated==0,detail

probit default1 treat_all
probit default2 treat_all
probit default1 call_all_contact 
probit default2 call_all_contact 

probit default1 c.treat_all##c.message_overdue
probit default2 c.treat_all##c.message_overdue
probit default1 c.call_all_contact##c.message_overdue
probit default2 c.call_all_contact##c.message_overdue
